#ifndef __OSPTCPH__
#define __OSPTCPH__

#ifdef __cplusplus
extern "C" {
#endif
int32_t osp_tcp_rev(int32_t socket_fd, char *pMsg, int32_t msgLen);
int32_t osp_tcp_send(int32_t socket_fd, char *pMsg, int32_t msgLen);
int32_t tcpSerCreat(int32_t port);
int32_t tcpCliCreat(int32_t port);
int32_t tcpAccept(int32_t socket_fd);
int32_t tcpConnet(int32_t socket_fd, char *targetIp, int32_t port);

#ifdef __cplusplus
}
#endif

#endif  /* __OSPTCH__ */
